<nav data-cy="navbar" class="navbar navbar-dark navbar-expand-md bg-dark">
  <div class="container-fluid">
    <a class="navbar-brand logo" routerLink="/" (click)="collapseNavbar()" id="navLogo">
      <span class="logo-img"></span>
      <span class="navbar-title" id="nomApp">SyGesPo</span>
    </a>
    <a
      class="navbar-toggler d-lg-none"
      href="javascript:void(0);"
      data-toggle="collapse"
      data-target="#navbarResponsive"
      aria-controls="navbarResponsive"
      aria-expanded="false"
      aria-label="Toggle navigation"
      (click)="toggleNavbar()"
    >
      <fa-icon icon="bars"></fa-icon>
    </a>
    <div class="navbar-collapse collapse" id="navbarResponsive" [ngbCollapse]="isNavbarCollapsed" [ngSwitch]="account !== null">
      <ul class="navbar-nav ms-auto">
        <li class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
          <a class="nav-link" routerLink="/" (click)="collapseNavbar()">
            <span>
              <fa-icon icon="home"></fa-icon>
              <span jhiTranslate="global.menu.home">Accueil</span>
            </span>
          </a>
        </li>
        <!-- jhipster-needle-add-element-to-menu - JHipster will add new menu items here -->

        <li
          *ngSwitchCase="true"
          ngbDropdown
          class="nav-item dropdown pointer"
          display="dynamic"
          routerLinkActive="active"
          [routerLinkActiveOptions]="{ exact: true }"
        >
          <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="flux-menu" data-cy="entity">
            <span>
              <fa-icon icon="people-group"></fa-icon>
              <span>Recrutements & Flux</span>
            </span>
          </a>
          <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="flux-menu">
            <li>
              <a
                class="dropdown-item"
                routerLink="employe"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.employe">Employe</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="entree"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.entree">Entree</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="nature-entree"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.natureEntree">Nature Entree</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="nature-recrutement"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.natureRecrutement">Nature Recrutement</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="statut"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.statut">Statut</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="sortie"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.sortie">Sortie</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="nature-sortie"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.natureSortie">Nature Sortie</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="stage"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.stage">Stage</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="nature-stage"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.natureStage">Nature Stage</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="nature-position-irreguliere"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.naturePositionIrreguliere">Nature Position Irreguliere</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="position-irreguliere"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.positionIrreguliere">Position Irreguliere</span>
              </a>
            </li>
            <!-- jhipster-needle-add-entity-to-menu - JHipster will add entities to the menu here -->
          </ul>
        </li>
        <li
          *ngSwitchCase="true"
          ngbDropdown
          class="nav-item dropdown pointer"
          display="dynamic"
          routerLinkActive="active"
          [routerLinkActiveOptions]="{ exact: true }"
        >
          <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="affectations-menu" data-cy="entity">
            <span>
              <fa-icon icon="person-walking-arrow-right"></fa-icon>
              <span>Structures & Affectations</span>
            </span>
          </a>
          <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="affectations-menu">
            <li>
              <a
                class="dropdown-item"
                routerLink="employe"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.employe">Employe</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="structure"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.structure">Structure</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="emploi"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.emploi">Emploi</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="fonction"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.fonction">Fonction</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="affectation"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.affectation">Affectation</span>
              </a>
            </li>
            <!-- jhipster-needle-add-entity-to-menu - JHipster will add entities to the menu here -->
          </ul>
        </li>

        <li
          *ngSwitchCase="true"
          ngbDropdown
          class="nav-item dropdown pointer"
          display="dynamic"
          routerLinkActive="active"
          [routerLinkActiveOptions]="{ exact: true }"
        >
          <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="avancemants-menu" data-cy="entity">
            <span>
              <fa-icon icon="medal"></fa-icon>
              <span>Avancements & Décorations</span>
            </span>
          </a>
          <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="avancemants-menu">
            <li>
              <a
                class="dropdown-item"
                routerLink="decoration"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.decoration">Decoration</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="type-decoration"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.typeDecoration">Type Decoration</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="emploi"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.emploi">Emploi</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="categorie"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.categorie">Categorie</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="classe"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.classe">Classe</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="echelon"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.echelon">Echelon</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="changement-emploi"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.changementEmploi">Changement Emploi</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="affectation"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.affectation">Affectation</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="avancement-categorie"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.avancementCategorie">Avancement Categorie</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="avancement-classe"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.avancementClasse">Avancement Classe</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="avancement-echelon"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.avancementEchelon">Avancement Echelon</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="statut"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.statut">Statut</span>
              </a>
            </li>
            <!-- jhipster-needle-add-entity-to-menu - JHipster will add entities to the menu here -->
          </ul>
        </li>
        <li
          *ngSwitchCase="true"
          ngbDropdown
          class="nav-item dropdown pointer"
          display="dynamic"
          routerLinkActive="active"
          [routerLinkActiveOptions]="{ exact: true }"
        >
          <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="salaires-menu" data-cy="entity">
            <span>
              <fa-icon icon="sack-dollar"></fa-icon>
              <span>Salaires & Indemnités</span>
            </span>
          </a>
          <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="entity-menu">
            <li>
              <a
                class="dropdown-item"
                routerLink="indemnite"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <span jhiTranslate="global.menu.entities.indemnite">Indemnite</span>
              </a>
            </li>
            <!-- jhipster-needle-add-entity-to-menu - JHipster will add entities to the menu here -->
          </ul>
        </li>
        <!--<li
          *jhiHasAnyAuthority="'ROLE_ADMIN'"
          ngbDropdown
          class="nav-item dropdown pointer"
          display="dynamic"
          routerLinkActive="active"
          [routerLinkActiveOptions]="{ exact: true }"
        >
          <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="admin-menu" data-cy="adminMenu">
            <span>
              <fa-icon icon="users-cog"></fa-icon>
              <span jhiTranslate="global.menu.admin.main">Administration</span>
            </span>
          </a>
          <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="admin-menu">
            <li>
              <a class="dropdown-item" routerLink="admin/user-management" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="users" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.admin.userManagement">Gestion des utilisateurs</span>
              </a>
            </li>
            <li>
              <a class="dropdown-item" routerLink="admin/metrics" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="tachometer-alt" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.admin.metrics">Métriques</span>
              </a>
            </li>
            <li>
              <a class="dropdown-item" routerLink="admin/health" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="heart" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.admin.health">Diagnostics</span>
              </a>
            </li>
            <li>
              <a class="dropdown-item" routerLink="admin/configuration" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="cogs" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.admin.configuration">Configuration</span>
              </a>
            </li>
            <li>
              <a class="dropdown-item" routerLink="admin/logs" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="tasks" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.admin.logs">Logs</span>
              </a>
            </li>
            <li *ngIf="openAPIEnabled">
              <a class="dropdown-item" routerLink="admin/docs" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="book" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.admin.apidocs">API</span>
              </a>
            </li>
            &lt;!&ndash; jhipster-needle-add-element-to-admin-menu - JHipster will add entities to the admin menu here &ndash;&gt;
          </ul>
        </li>-->
        <!--<li ngbDropdown class="nav-item dropdown pointer" display="dynamic" *ngIf="languages && languages.length > 1">
          <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="languagesnavBarDropdown">
            <span>
              <fa-icon icon="flag"></fa-icon>
              <span jhiTranslate="global.menu.language">Langue</span>
            </span>
          </a>
          <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="languagesnavBarDropdown">
            <li *ngFor="let language of languages">
              <a
                class="dropdown-item"
                [jhiActiveMenu]="language"
                href="javascript:void(0);"
                (click)="changeLanguage(language); collapseNavbar()"
                >{{ language | findLanguageFromKey }}</a
              >
            </li>
          </ul>
        </li>-->
        <li
          ngbDropdown
          class="nav-item dropdown pointer"
          display="dynamic"
          routerLinkActive="active"
          [routerLinkActiveOptions]="{ exact: true }"
        >
          <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="account-menu" data-cy="accountMenu">
            <span *ngIf="!account?.imageUrl">
              <fa-icon icon="user"></fa-icon>
              <span jhiTranslate="global.menu.account.main">Compte</span>
            </span>
            <span *ngIf="account?.imageUrl">
              <img [src]="account!.imageUrl" class="profile-image rounded-circle" alt="Avatar" />
            </span>
          </a>
          <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="account-menu">
            <li *ngSwitchCase="true">
              <a
                class="dropdown-item"
                routerLink="account/settings"
                routerLinkActive="active"
                (click)="collapseNavbar()"
                data-cy="settings"
              >
                <fa-icon icon="wrench" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.account.settings">Profil</span>
              </a>
            </li>
            <li *ngSwitchCase="true">
              <a
                class="dropdown-item"
                routerLink="account/password"
                routerLinkActive="active"
                (click)="collapseNavbar()"
                data-cy="passwordItem"
              >
                <fa-icon icon="lock" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.account.password">Mot de passe</span>
              </a>
            </li>
            <li *ngSwitchCase="true">
              <a class="dropdown-item" (click)="logout()" id="logout" data-cy="logout">
                <fa-icon icon="sign-out-alt" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.account.logout">Déconnexion</span>
              </a>
            </li>
            <li *ngSwitchCase="false">
              <a class="dropdown-item" (click)="login()" id="login" data-cy="login">
                <fa-icon icon="sign-in-alt" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.account.login">S'authentifier</span>
              </a>
            </li>
            <li *ngSwitchCase="false">
              <a
                class="dropdown-item"
                routerLink="account/register"
                routerLinkActive="active"
                (click)="collapseNavbar()"
                data-cy="register"
              >
                <fa-icon icon="user-plus" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.account.register">Créer un compte</span>
              </a>
            </li>
          </ul>
        </li>
      </ul>
    </div>
  </div>
</nav>
